Vulnerability CVE-2006-6184


Published: 2006-11-30   Modified: 2012-02-12

Description:
Multiple stack-based buffer overflows in Allied Telesyn TFTP Server (AT-TFTP) 1.9, and possibly earlier, allow remote attackers to cause a denial of service (crash) or execute arbitrary code via a long filename in a (1) GET or (2) PUT command.

See advisories in our WLB2 database:
Topic
Author
Date
Med.
TFTP Server AT-TFTP Server v 1.9 Buffer Overflow Vulnerability (Long filename)
Liu Qixu
01.12.2006
High
Allied Telesyn TFTP Server 1.9 Long Filename Overflow
metasploit
08.03.2011

Type:

CWE-Other

CVSS2 => (AV:N/AC:L/Au:N/C:C/I:C/A:C)

CVSS Base Score
Impact Subscore
Exploitability Subscore
10/10
10/10
10/10
Exploit range
Attack complexity
Authentication
Remote
Low
No required
Confidentiality impact
Integrity impact
Availability impact
Complete
Complete
Complete
Affected software
Alliedtelesyn -> At-tftp 

 References:
http://securityreason.com/securityalert/1929
http://securityreason.com/securityalert/8120
http://www.exploit-db.com/exploits/16350
http://www.exploit-db.com/exploits/24952
http://www.securityfocus.com/archive/1/452743/100/0/threaded
http://www.securityfocus.com/bid/21320
http://www.vupen.com/english/advisories/2006/4737
https://exchange.xforce.ibmcloud.com/vulnerabilities/30539

Copyright 2020, cxsecurity.com

 

Back to Top